Subject: Re: linux-next: manual merge of the mm tree with the folio tree

From: Matthew Wilcox <[email-masked]>
Date: Thu, 12 May 2022 13:51:03 +0100

On Thu, May 12, 2022 at 08:52:17PM +0900, Ryusuke Konishi wrote:
> On Thu, May 12, 2022 at 5:26 PM Stephen Rothwell <[email-masked]> wrote:
> >
> > Hi all,
> >
> > Today's linux-next merge of the mm tree got a conflict in:
> >
> >   fs/nilfs2/inode.c
> >
> > between commit:
> >
> >   f132ab7d3ab0 ("fs: Convert mpage_readpage to mpage_read_folio")
> >
> > from the folio tree and commit:
> >
> >   e38ed506c42f ("nilfs2: Fix some kernel-doc comments")
> >
> > from the mm tree.
> >
> > I fixed it up (see below) and can carry the fix as necessary. This
> > is now fixed as far as linux-next is concerned, but any non trivial
> > conflicts should be mentioned to your upstream maintainer when your tree
> > is submitted for merging.  You may also want to consider cooperating
> > with the maintainer of the conflicting tree to minimise any particularly
> > complex conflicts.
> 
> Thanks, Stephen.
> 
> Andrew,  please once drop
> 
>  e38ed506c42f ("nilfs2: Fix some kernel-doc comments")
> 
> from -mm tree.   I will resend a modified patch after the folio patch is merged
> to the mainline.

I'd be happy to take this patch through my tree instead, if you point me
to where I can pick it up (I don't see it on fsdevel or mm).

Although I do think we need to consider whether implementations of
fs entry points (aops, fops, iops, etc) should have documentation in
the individual filesystems.  I understand why individual filesystem
authors want that, but it would be better if we had really
good central documentation of VFS/FS requirements (and honestly
Documentation/filesystems/{locking.rst,vfs.rst} aren't bad) instead of
reiterating them in each individual filesystem.